# CreateDeeplinks

class CreateDeeplinks (source)

Configures deeplinks used when creating Bitlinks.

See the Bit.ly API for more information.

#### Since

2.0

## Constructors

CreateDeeplinks
Link copied to clipboard
constructor()

## Functions

app_id
Link copied to clipboard
fun app_id (): String ?
fun app_id (app_id: String )
app_uri_path
Link copied to clipboard
fun app_uri_path (): String ?
fun app_uri_path (app_uri_path: String )
install_type
Link copied to clipboard
fun install_type (): InstallType ?
fun install_type (install_type: InstallType )
install_url
Link copied to clipboard
fun install_url (): String ?
fun install_url (install_url: String )
isNotEmpty
Link copied to clipboard
fun isNotEmpty (): Boolean

Returns `true` if there are defined links.

links
Link copied to clipboard
fun links (): Map < String , String >

Returns the links.